package com.mycompany.app;

import com.codeborne.selenide.*;
import org.openqa.selenium.By;

import static com.codeborne.selenide.Condition.exist;
import static com.codeborne.selenide.Selenide.*;
import static org.junit.Assert.assertEquals;

public class AppTestPage {
    public AppTestPage open(){
        Configuration.browser = "firefox";
        Configuration.timeout = 50000;
        Configuration.headless = true;
        Selenide.open("https://cdaction.pl/");
        SelenideElement cookies = $("#cookiescript_accept");
        if(cookies.exists()){
            cookies.click();
        }
        return this;
    }

    public SelenideElement getKulturaNavLink(){
        return $(By.xpath("//*[@id=\"__next\"]/header/div/nav/div/a[4]"));
    }

    public SelenideElement getLogoLink(){
        return $(By.xpath("//a[@title=\"CD-Action\"]"));
    }

    public ElementsCollection getNavLinks(){
        return $$(By.cssSelector("nav a"));
    }

    public SelenideElement getSearchLink(){
        return $(By.xpath("//button[@aria-label=\"Wyszukiwarka\"]"));
    }

    public SelenideElement getArticleLink() {return $(By.xpath("//*[@id=\"maincontainer\"]/section[1]/div[1]/div[1]/div[1]/a/div[3]/h2"));}

    public SelenideElement getArticleTitle() {return $(By.xpath("//*[@id=\"maincontainer\"]/section[2]/div[2]/h1"));}

    public SelenideElement getSearchInput(){
        return $(By.xpath("//input[@placeholder=\"Szukaj\"]"));

    }

    public ElementsCollection getSearchResults(){
        return $$(By.cssSelector("div a h2"));
    }

    public void assertUrl(){
        String url = WebDriverRunner.url();
        assertEquals(url,"https://cdaction.pl/");
    }

    public void assertTitle(){
        String title = title();
        assertEquals(title,"CD-Action – Strona główna");
    }
}
